| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
WarningThis API method is experimental and may change or be deprecated in the future. It is not guaranteed to remain stable, and its use may require adjustments over time.
Overview
Use this method to submit a single bet for processing.
The system aggregates the bet into a bet session based on the combination of applicantId and gameName parameters. Bet details are not stored separately, and only session data remains available for use in transaction rules.
Attention
- Each session has a maximum time window of 30 minutes.
- A session is automatically closed after 5 minutes of inactivity.
Request example
curl -X POST \
'https://api.sumsub.com/resources/api/tm/bets/submit/bulk' \
-H 'content-type: application/json' \
-H 'X-App-Token: <your-app-token>' \
-H 'X-App-Access-Sig: <your-signature>' \
-H 'X-App-Access-Ts: <unix-timestamp>' \
-d '{
"data": {
"betId": "beb8-45e8",
"applicantId": "64b7f8f1e1d3c8a1b2c3d4e5",
"createdAt": "2025-10-11 02:05:06+0200",
"wagerInDefaultCurrency": 582.91,
"defaultCurrencyCode": "EUR",
"defaultCurrencyType": "fiat",
"initialBalanceInDefaultCurrency": 1102.64,
"resultAmountInDefaultCurrency": 0.0,
"resultDiffAmountInDefaultCurrency": -582.91,
"betType": "bingo",
"gameName": "Blackjack",
"bonusId": "id-74kyt57r95"
}
}'Response explained
If the request is successfully sent, you will get a response confirming the bet is successfully submitted.
Response example to successful request:
{
"ok": 1
}If the request fails, you will receive an HTTP response containing an error code along with a message explaining the error.
Response example to failed request:
{
"code": 400,
"correlationId": "766dd6cb80369e418de4d0b2517bb7d8",
"description": "data.resultAmountInDefaultCurrency must not be null"
}